package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF1I7AppsState {

    private Map<String, Object> params;
    
    public MWF1I7AppsState(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsAppKey() {
        return (Long) params.get("RS_APP_KEY");
    }

    public String rsAppState() {
        return (String) params.get("RS_APP_STATE");
    }

    public String rsAppStateUfo() {
        return (String) params.get("RS_APP_STATE_UFO");
    }

    public String rsAppStateAdc() {
        return (String) params.get("RS_APP_STATE_ADC");
    }

    public String rsAppStateId() {
        return (String) params.get("RS_APP_STATE_ID");
    } 

}
